import request from '@/utils/request'

// 查询按摩任务列表
export function listTask(query) {
  return request({
    url: '/device/massage/list',
    method: 'get',
    params: query
  })
}

// 获取按摩头类型统计数据
export function getHeadTypeStats(params) {
  return request({
    url: '/device/massage/headTypeStats',
    method: 'get',
    params
  })
}

// 获取按摩总时长趋势
export function getDailyStats(params) {
  return request({
    url: '/device/massage/getDailyStats',
    method: 'get',
    params
  })
}

// 获取按摩部位统计数据
export function getBodyPartStats(params) {
  return request({
    url: '/device/massage/bodyPartStats',
    method: 'get',
    params
  })
}

// 获取按摩任务的综合统计指标
export function getMassageStats() {
  return request({
    url: '/device/massage/stats',
    method: 'get'
  })
}

// 查询按摩任务详细
export function getTask(id) {
  return request({
    url: '/massage/massage/' + id,
    method: 'get'
  })
}

// 新增按摩任务
export function addTask(data) {
  return request({
    url: '/device/task',
    method: 'post',
    data: data
  })
}

// 修改按摩任务
export function updateTask(data) {
  return request({
    url: '/device/task',
    method: 'put',
    data: data
  })
}

// 删除按摩任务
export function delTask(id) {
  return request({
    url: '/device/task/' + id,
    method: 'delete'
  })
}
